﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Autocomplete_f117206
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            this.AutoComplete.DataSource = new TabData().GetTabItems();

        }

        protected void btn_Click(object Sender, Syncfusion.JavaScript.Web.ButtonEventArgs e)
        {
            this.ACtext.Text = this.AutoComplete.Value;
        }
    }
    [Serializable]
    public class TabData
    {

        public TabData(int _id, string _text)
        {
            this.ID = _id;
            this.Text = _text;
        }
        public TabData()
        {

        }

        [Browsable(true)]
        public int ID
        {
            get;
            set;
        }

        [Browsable(true)]
        public string Text
        {
            get;
            set;
        }


        public List<TabData> GetTabItems()
        {
            List<TabData> data = new List<TabData>();
            data.Add(new TabData(1, "Railways"));
            data.Add(new TabData(2, "Roadways"));
            data.Add(new TabData(3, "Airways"));
            data.Add(new TabData(4, "Waterways"));
            data.Add(new TabData(5, "Electric Trains"));
            data.Add(new TabData(6, "Diesel Trains"));
            data.Add(new TabData(7, "Heavy Motor Vehicles"));
            data.Add(new TabData(8, "Light Motor Vehicles"));
            data.Add(new TabData(9, "Aeroplanes"));
            data.Add(new TabData(10, "Helicopters"));
            data.Add(new TabData(11, "Ships"));
            data.Add(new TabData(12, "Submarines"));

            return data;
        }
    }
}